summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/deployImage
diff options
context:
space:
mode:
Diffstat (limited to 'client/shared/scripts/deployImage')
-rwxr-xr-xclient/shared/scripts/deployImage20
1 files changed, 20 insertions, 0 deletions
diff --git a/client/shared/scripts/deployImage b/client/shared/scripts/deployImage
new file mode 100755
index 00000000..15392ec7
--- /dev/null
+++ b/client/shared/scripts/deployImage
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+TIME1=$SECONDS
+PROG="$(basename $0)"
+if [ $# -lt 4 ]; then
+ ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO imagen ndisco nparticion [ UNICAST|MULTICAST|TORRENT ] [opciones protocolo]"
+ exit $?
+fi
+
+#controlar param1 REPO
+
+updateCache REPO $2.img $5 $6
+if [ $? != "0" ]
+then
+ echo "fin del updateCache REPO $2.img $5 $6 con errores"
+ exit 1
+else
+ echo "comenzamos con restoreImage CACHE $2 $3 $4"
+ restoreImage CACHE $2 $3 $4
+fi \ No newline at end of file